Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ClassFileConstantField

    java.lang.Object
      com.sun.squawk.ClassFileMember
          com.sun.squawk.ClassFileField
              com.sun.squawk.ClassFileConstantField

    public final class ClassFileConstantField

extends ClassFileField

An instance of `ClassFileConstantField` encapsulates all the symbolic information of a field declaration in a class file that has a ConstantValue attribute. This class is provided for a subsystem (such as the translator) that loads a class definition from a class file.

Field Summary

Fields inherited from class com.sun.squawk.ClassFileField
`NO_FIELDS`

Constructor Summary
`ClassFileConstantField(String name, int modifiers, Klass type, long constantValue)` Creates a new `ClassFileConstantField` instance for a field with a primitive ConstantValue attribute.
`ClassFileConstantField(String name, int modifiers, Klass type, String constantValue)` Creates a new `ClassFileConstantField` instance for a field with a String ConstantValue attribute.

Method Summary

Methods inherited from class com.sun.squawk.ClassFileField
`getType`

Methods inherited from class com.sun.squawk.ClassFileMember
`getFullyQualifiedName, getModifiers, getName, isStatic`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassFileConstantField

    public ClassFileConstantField(String name,
                                  int modifiers,
                                  Klass type,
                                  long constantValue)

  Creates a new `ClassFileConstantField` instance for a field with a primitive ConstantValue attribute.

  Parameters:
    `name` - the name of the field
    `modifiers` - the modifiers of the field
    `type` - the type of the field
    `constantValue` - the primitive constant value (as a long)

### ClassFileConstantField

    public ClassFileConstantField(String name,
                                  int modifiers,
                                  Klass type,
                                  String constantValue)

  Creates a new `ClassFileConstantField` instance for a field with a String ConstantValue attribute.

  Parameters:
    `name` - the name of the field
    `modifiers` - the modifiers of the field
    `type` - the type of the field
    `constantValue` - the string constant value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"